local name, addon = ...
local parentName = addon['parentName'] or "BrokerPack"
local childName = "zz_Skeleton"

local defaults = {
}

local options = {
}

local db

local function OnText(message)
	addon['OnText'](childName, message)
end

local function getPref(pref)
	return db[pref[#pref]]
end

local function setPref(pref,value)
	db[pref[#pref]] = value
end

local function init()
	options = addon['InitConfig'](addon, childName, true, {
		['type'] = "data source",
	}, getPref, setPref)
	db = addon['db']['profile'][childName]
end
addon['startup'](addon, name, childName, init, true, defaults)